Disable python support for gdb-7.x
Andrew Hsieh [Wed, 8 Aug 2012 13:04:45 +0000 (21:04 +0800)]
Before python is also prebuilt, disable python support in gdb-7.x
for now, otherwise gdb-7.x/configure may pick up whatever python
in host and build gdb with hard-wired dependency to specific version
of python.

See related issue:
  http://code.google.com/p/android/issues/detail?id=36120

Change-Id: I15d1144767343fb717864470f7a57f66fd7ba127

Makefile.in

index eb78661..379929a 100644 (file)
@@ -724,6 +724,11 @@ stmp-config-target-gdb: stmp-install-host-expat
 GDB_CONFIG_ARGS += --with-expat --with-libexpat-prefix=$(EXPAT_DIR)
 endif
 
+# For gdb 7.x, disable python support for now
+ifeq ($(filter gdb-6.%,$(GDB_VERSION)),)
+GDB_CONFIG_ARGS += --with-python=no
+endif
+
 stmp-config-target-gdb: config.status $(canadian_stmp)
        ([ -d ${GDB_VERSION} ] || \
          mkdir ${GDB_VERSION}) && \